{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "p_layout.html" %}
{% block content %}

 <center>
{% if error %}
<p class=error><strong>Error:</strong> {{ error }}
{% endif %}
<br>
{% with messages = get_flashed_messages(with_categories=true) %}
{% if messages %}
<div class="alert alert-{{ messages.0.0 }}" role="alert">
{% for category, message in messages %}
{{ message }} </br>
{% endfor %}
*</div>
{% endif %}
{% endwith %}
</center>



	<div class="container-fluid">
	  <div class="row">

	  	<div class="col-sm-6">
	  		<form role="form" method="POST" action="">
     		 <div class="card">
				  <div class="card-body">
				  	<h1>API Infos (url)</h1>

				  		{{ form.csrf_token }}
									<div class="col-sm-12">
										<div class="form-group ">
									
											{{ form.api_infos(class='form-control', placeholder='Reseller Status API url', size=30) }}<br>
											{% for error in form.api_infos.errors %}
							               <span style="color: red;">[{{ error }}]</span>
							                 {% endfor %}
																
										</div>
									</div>

									<div class="col-sm-12">
										<div class="form-group ">
									
											{{ form.api_create(class='form-control', placeholder='Create newline API url', size=30) }}<br>
											{% for error in form.api_create.errors %}
							               <span style="color: red;">[{{ error }}]</span>
							                 {% endfor %}
																
										</div>
									</div>
									<div class="col-sm-12">
										<div class="form-group ">
									
											{{ form.api_mag(class='form-control', placeholder='Create mag device API url', size=30) }}<br>
											{% for error in form.api_mag.errors %}
							               <span style="color: red;">[{{ error }}]</span>
							                 {% endfor %}
																
										</div>
									</div>
									<div class="col-sm-12">
										<div class="form-group ">
									
											{{ form.submit(class='btn btn-sm btn-danger shadow-sm') }}<br>
				
										</div>
									</div>


				  	</div>
					</div>
					</div>

      	<div class="col-sm-6">
				<div class='card'>
					<div class="card-body">						

						<h1>Package ID (xtream-ui)</h1>
						<p>By this section you can edit your IPTV panel ID ,<a href="/panel/packages" class="fa fa-edit"></a></p>

						{% for package in packages %}
									
						<h4>{{ package.name }} |=| {{ package.xtream_id }}</h4><br>

						{% endfor %}
					


					
										</div>
										</div>

										</div>

</div>
</div>{% endblock content %}